<div class="horizontal-centered-block">
  <div class="theme-wrapper">
    <div class="theme-card noselect" draggable="false">
      <div class="theme-header">
        <div class="header-title">
          {{ "CATALOG.TITLE" | translate }}
        </div>

        <div class="input-wrapper">
          <ion-item lines="none" class="filter-input-item">
            <ion-input
              type="text"
              label="{{ 'CATALOG.FILTER' | translate }}"
              labelPlacement="floating"
              [value]="filter"
              (ionChange)="onFilterChange($event)"
            ></ion-input>
          </ion-item>
          <div class="clear-icon-wrapper" (click)="onClearFilter()">
            <ion-icon
              class="clear-icon"
              name="close-outline"
              *ngIf="!(filter == undefined) && filter.length"
            ></ion-icon>
          </div>
        </div>

        <div
          class="refresh-btn"
          matTooltip="{{ 'CATALOG.REFRESH_RECORDS' | translate }}"
          (click)="onRefresh()"
          *ngIf="!isLoading"
        >
          <ion-icon name="refresh-outline"></ion-icon>
        </div>
        <div class="load-indicator" *ngIf="isLoading">
          <ion-spinner name="crescent" color="primary"></ion-spinner>
        </div>
      </div>

      <div class="theme-content">
        <div class="table-wrapper">
          <table class="datatable" mat-table [dataSource]="catalog" matSort>
            <!-- REGISTRY_NAME Column -->
            <ng-container matColumnDef="name">
              <th
                mat-header-cell
                *matHeaderCellDef
                mat-sort-header
                (click)="onSortChange()"
              >
                {{ "CATALOG.REGISTRY_NAME" | translate }}
              </th>
              <td class="table-cell" mat-cell *matCellDef="let row">
                {{ row.name }}
              </td>
            </ng-container>

            <!-- ACTIONS Column -->
            <ng-container matColumnDef="actions">
              <th mat-header-cell *matHeaderCellDef>
                {{ "CATALOG.ACTIONS" | translate }}
              </th>
              <td
                class="table-cell actions-cell"
                mat-cell
                *matCellDef="let row"
              >
                <div
                  class="action-icon details-icon"
                  (click)="onTags(row)"
                  matTooltip="{{ 'CATALOG.TAGS' | translate }}"
                >
                  <ion-icon name="document-text-outline"></ion-icon>
                </div>
              </td>
            </ng-container>

            <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
            <tr mat-row *matRowDef="let row; columns: displayedColumns"></tr>

            <tr class="mat-row no-data-row" *matNoDataRow>
              <td class="mat-cell" colspan="12">
                {{ "CATALOG.NO_DATA_AVAILABLE" | translate }}
              </td>
            </tr>
          </table>
        </div>
      </div>
      <div class="pagination-wrapper">
        <mat-paginator
          class="pagination"
          [length]="rowCount"
          [pageSize]="limit"
          [pageSizeOptions]="[5, 10, 25, 50, 100]"
          showFirstLastButtons
          (page)="onPagination($event)"
        ></mat-paginator>
      </div>

      <div class="theme-footer"></div>
    </div>
  </div>
</div>
